<template>
  <FormKit type="form" @submit="handleSubmit">
    <FormKitSchema :schema="schema" />
  </FormKit>
</template>

<script lang="ts" setup>
import { Ticket } from '@bojnit/consola-common/esm/app/doxy/tickets/ticket.entity';
import { CreateTicketInput } from '@bojnit/consola-common/esm/app/doxy/tickets/dto/create-ticket.input';

const q = await useFetch('http://localhost:12100/doxy/tickets/form');
const schema: any = q.data;

const query2 = gql`
  mutation ($input: CreateTicketInput!) {
    createTicket(input: $input) {
      id
      title
      description
    }
  }
`
const {mutate} = useMutation<{createTicket: Ticket}>(query2)

const handleSubmit = async (input: CreateTicketInput) => {
  const r = await mutate({ input });
  console.log(r?.data?.createTicket.id)
}
</script>
